- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# QWebDatabase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 34 of file qwebdatabase.h.

`#include <qwebdatabase.h>`

List of all members.

## Public Member Functions
| QWebDatabase (const QWebDatabase &other)
QWebDatabase & | operator= (const QWebDatabase &other)
| ~QWebDatabase ()
QString | name () const
QString | displayName () const
qint64 | expectedSize () const
qint64 | size () const
QString | fileName () const
QWebSecurityOrigin | origin () const
## Static Public Member Functions
static void | removeDatabase (const QWebDatabase &)
static void | removeAllDatabases ()
## Friends
class | QWebSecurityOrigin

## Constructor & Destructor Documentation

QWebDatabase | ( | const QWebDatabase & | other | ) |

~QWebDatabase | ( |  | ) |

## Member Function Documentation

QWebDatabase& operator= | ( | const QWebDatabase & | other | ) |

QString name | ( |  | ) | const

Search for all occurrences

QString displayName | ( |  | ) | const

Search for all occurrences

qint64 expectedSize | ( |  | ) | const

Search for all occurrences

qint64 size | ( |  | ) | const

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

QWebSecurityOrigin origin | ( |  | ) | const

Search for all occurrences

static void removeDatabase | ( | const QWebDatabase & |  | ) | `[static]`

Search for all occurrences

static void removeAllDatabases | ( |  | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWebSecurityOrigin `[friend]`

Search for all occurrences

Definition at line 52 of file qwebdatabase.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebdatabase.h

QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase
QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase QWebDatabase